EZ_GetWidgetAbsoluteGeometry(3)

NAME
EZ_GetWidgetAbsoluteGeometry - retrieve the geometry of a widget

SYNOPSIS
#include <EZ.h>

void  EZ_GetWidgetAbsoluteGeometry( EZ_Widget*widget,  int *x_ret,
                           int *y_ret, int *w_ret, int *h_ret)

ARGUMENTS
widget Specifies an EZ Widget.

x_ret, y_ret Returns the coordinates of the upper-left corner of the widget window.

w_ret, h_ret Returns the width and height of the widget window.

DESCRIPTION

EZ_GetWidgetAbsoluteGeometry returns the geometry of the widget window relative to the upper-left corner of the root window. If the widget window has not been created, it returns 0 to x_ret, y_ret and returns 1 to w_ret, h_ret.

SEE ALSO
EZ_GetWidgetGeometry(3)